%global modname logutils
%global _description %{expand:
The logutils package provides a set of handlers for the Python standard library's logging package.

Some of these handlers are out-of-scope for the standard library, and so they are packaged here.
Others are updated versions which have appeared in recent Python releases, but are usable with
older versions of Python and so are packaged here.}

Summary:            Logging utilities
Name:               python-%{modname}
Version:            0.3.5
Release:            5%{?dist}
License:            BSD
URL:                https://pypi.io/project/logutils
Source0:            https://pypi.io/packages/source/l/%{modname}/%{modname}-%{version}.tar.gz

BuildRequires:      python3-devel

BuildArch:          noarch

%description
%{_description}

%package -n python3-logutils
Summary:            Logging utilities

%description -n python3-logutils
%{_description}
The logutils package provides a set of handlers for the Python standard library's logging package.

%prep
%autosetup -n %{modname}-%{version}
rm -rf %{modname}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{modname}
%license LICENSE.txt
%doc README.rst NEWS.txt doc/
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.5-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.5-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jan 12 2023 Shuo Wang <abushwang@tencent.com> - 0.3.5-1
- initial build
